BMapCom.Template.create("SaleViewTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,hasGroup=$data.hasGroup,$escape=$helpers.$escape,width=$data.width,grouponUrl=$data.grouponUrl,groupTitle=$data.groupTitle,groupon_num=$data.groupon_num,hasFav=$data.hasFav,favorableTitle=$data.favorableTitle,favorable_num=$data.favorable_num,$out='';$out+='<div class="sale-container">\n        ';
 if(hasGroup) {
$out+='\n            <div class="sale-item" style="width:';
$out+=$escape(width);
$out+=';" data-ek="groupon" data-value="';
$out+=$escape(grouponUrl);
$out+='">\n                <div class="groupon-icon sale-text">';
$out+=$escape(groupTitle);
$out+='</div>\n                <div class="sale-num">';
$out+=$escape(groupon_num);
$out+='</div>\n                <div class="sale-right-arrow base-right-arrow"></div>\n            </div>\n        ';
}
$out+='\n        ';
 if(hasGroup && hasFav){
$out+='\n            <div class="sale-v-line"></div>\n        ';
}
$out+='\n        ';
 if(hasFav) {
$out+='\n            <div class="sale-item" style="width:';
$out+=$escape(width);
$out+=';">\n                <div class="favorable-icon sale-text">';
$out+=$escape(favorableTitle);
$out+='</div>\n                <div class="sale-num">';
$out+=$escape(favorable_num);
$out+='</div>\n            </div>\n        ';
}
$out+='\n    </div>';
return new String($out);
}});
BMapCom.Plugin.define(function(PluginBuilder) {

    var plg = PluginBuilder.create({
        hasTemplate: true,
        hasCSS: true
    });
    plg.delegate({
        onInstantiate: function(poi, context) {
            var dispatcher = new BMapCom.EventDispatcher();

            if (!poi.ext || !poi.ext.detail_info) {
                return dispatcher;
            };
            var di = poi.ext.detail_info;
            var ri = poi.ext.rich_info;

            var vm = {};

            // di.favorable_num = 3;
            // di.favorable = [{'discount_title':'测试优惠信息'}];

            var hasGroup = vm.hasGroup = di.groupon_num > 0 ? true : false;
            var hasFav = vm.hasFav = di.favorable_num > 0 ? true : false;

            // hasGroup = false;
            // hasFav = false;

            if (!hasFav && !hasGroup) {
                return dispatcher;
            }
            var group = null;
            var favorable = null;
            vm.groupTitle = '团购信息';
            vm.favorableTitle = '超低优惠';

            var self = this;

            if (hasGroup && di.groupon[0]) {
                //vm.grouponUrl = di.groupon[0].groupon_url_mobile;

                BMapCom.SysApi.getRuntimeInfo([BMapCom.SysApi.RUNTIME_INFO_TYPE.LOCATION, BMapCom.SysApi.RUNTIME_INFO_TYPE.BDUSS], function(runtimeInfo) {
                    vm.grouponUrl = di.groupon[0].groupon_webapp_url + '&from=map_app&uid=' + poi.uid + '&loc=(' + runtimeInfo[BMapCom.SysApi.RUNTIME_INFO_TYPE.LOCATION].locX + ',' + runtimeInfo[BMapCom.SysApi.RUNTIME_INFO_TYPE.LOCATION].locY + ')' + "&bduss=" + runtimeInfo[BMapCom.SysApi.RUNTIME_INFO_TYPE.BDUSS];
                    var grouponBlock = document.querySelector('[data-ek="groupon"]');
                    grouponBlock.setAttribute('data-value', vm.grouponUrl);
                });

                //vm.grouponUrl = di.groupon[0].groupon_webapp_url + '&from=map_app&uid=' + poi.uid + '&loc=(' + x + ',' + y + ')' + "&bduss=" + bduss;

            }
            vm.width = '100%';
            if (hasGroup && hasFav) {
                vm.width = '49%';
            }
            if (hasGroup) {
                //仅团购
                var d = di.groupon[0];
                if (d.groupon_rebate && d.groupon_price) {
                    vm.groupTitle = "超低价" + d.groupon_price * 1 + "元，" + d.groupon_rebate * 1 + "折"
                } else if (poi.groupon_num == 1) {
                    //只有一条时，显示该条的详细内容，否则显示默认title
                    vm.groupTitle = d.groupon_title.replace(/&lt;[\w\\/]*&gt;/ig, '');
                }
                vm.groupon_num = di.groupon_num;
            }
            if (hasFav) {
                //仅优惠
                for (var i = 0, n = di.favorable.length; i < n; i++) {
                    if (di.favorable[i].discount_title) {
                        vm.favorableTitle = di.favorable[i].discount_title;
                        break;
                    }
                }
                vm.favorable_num = di.favorable_num;
            }

            context.innerHTML = this.template.body(vm);

            var evt = new BMapCom.EventDelegater(context);
            evt.on('groupon:tap', function(e) {
                dispatcher.fire('grouponClick', [this.getAttribute('data-value')]);
            });

            //var dispatcher = new EventDispatcher();

            return dispatcher;

        }
    });

    return plg;
});