BMapCom.Template.create("./plugin/headerView/headerViewTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$escape=$helpers.$escape,image=$data.image,image_num=$data.image_num,name=$data.name,realtimePrice=$data.realtimePrice,regularPrice=$data.regularPrice,grouponInfo=$data.grouponInfo,overall_rating=$data.overall_rating,level=$data.level,addr=$data.addr,nearbyIcon=$data.nearbyIcon,gotoIcon=$data.gotoIcon,phone=$data.phone,telIcon=$data.telIcon,$out='';$out+='<div class="dp-header">\n            <div data-ek="clickImage" class="dp-header-img">\n            <img class="dp-header-img-default" src="';
$out+=$escape(image);
$out+='"/>\n            ';
if (image_num){ 
$out+='\n                <div class="dp-header-img-count">';
$out+=$escape(image_num);
$out+='</div>\n            ';
}
$out+='\n            </div>\n            <div class="dp-header-basicinfo">\n                <div class="dp-header-name">';
$out+=$escape(name);
$out+='</div>\n                <!--\n                ';
if (realtimePrice) {
$out+='\n                      <p class="dp-header-price">\n                      <span class="point">￥';
$out+=$escape(realtimePrice);
$out+='</span>\n                          <span>起</span>\n                      </p>\n                ';
}
$out+='\n                ';
if (regularPrice){ 
$out+='\n                    <p class="dp-header-price"><span>参考价:</span><span class="point">￥';
$out+=$escape(regularPrice);
$out+='</span></p>\n                ';
}
$out+='\n                ';
if (grouponInfo){ 
$out+='\n                    <p class="dp-header-price">\n                    <span>团购价:</span><span class="point">￥';
$out+=$escape(grouponInfo.grouponPrice);
$out+='</span>\n                    <span class="del-price">原价:￥';
$out+=$escape(grouponInfo.basePrice);
$out+='</span>\n                    </p>\n                ';
}
$out+='\n                -->\n                <p class="dp-header-rating">\n                  ';
if (overall_rating){ 
$out+='\n                      <span><b class="point">';
$out+=$escape(overall_rating);
$out+='</b>/5.0分</span>\n                  ';
} else {
$out+='\n                      <span>暂无评分</span>\n                  ';
 }
$out+='\n\n                  <!--\n                  ';
if (level){ 
$out+='\n                      <span>';
$out+=$escape(level);
$out+='</span>\n                  ';
}
$out+='\n                  -->\n                </p>\n                ';
if (addr){ 
$out+=' \n                  <p class="dp-header-addr">';
$out+=$escape(addr);
$out+='</p>\n                ';
}
$out+='\n            </div>\n            <div class="dp-header-btns">\n                <div class="dp-header-couple dp-header-btn">\n                    <div data-ek="searchAround" class="dp-header-around">\n                    <span class="icon ';
$out+=$escape(nearbyIcon);
$out+='">搜周边</span>\n                    </div>\n                    <div data-ek="goToHere" class="dp-header-goto">\n                        <div class="dp-header-line"></div>\n                        <span class="icon ';
$out+=$escape(gotoIcon);
$out+='">到这去</span>\n                    </div>\n                </div>\n                <div data-ek="callPhone" data-value="';
$out+=$escape(phone);
$out+='" class="dp-header-single dp-header-btn">\n                    ';
if (phone){ 
$out+='\n                        <div><span class="icon ';
$out+=$escape(telIcon);
$out+='" >电话</span></div>\n                    ';
} else { 
$out+='\n                        <div><span class="icon ';
$out+=$escape(telIcon);
$out+=' dp-btn-disable">电话</span></div>\n                    ';
 }
$out+='\n                </div>\n            </div>\n        </div>';
return new String($out);
}});
BMapCom.Plugin.define(function(PluginBuilder) {

    var $ = function(sel){
        return document.querySelector(sel);
    };
    var plg = PluginBuilder.create({
        hasTemplate: true,
        hasCSS: false
    });

    plg.delegate({
        onInstantiate: function(container,fbData,pre) {
            container.innerHTML = this.template.body(fbData);
            if(pre){
                return;
            }
            var evt = new BMapCom.EventDelegater(container);
            var dispatcher = new BMapCom.EventDispatcher();
            if(parseInt(fbData.image_num, 10) > 0){
                evt.on('clickImage:tap', function(e) {
                  var entranceParam = {
                    "page": "imagePage",
                    "pageParam": {
                      //必传参数
                      "uid": fbData.uid,
                    }
                  }
                  BMapCom.Kernel.notify('changePage', entranceParam);
                  BMapCom.Stat.sendOffline("detail_image_click", {"da_model": "plugin_hotel"});
                });
            }
            evt.on('searchAround:tap', function(e){
              var requestParam = {
                "category": "mainmap",
                "method": BMapCom.ComRequestMethod.DISPATCH,
                "param": {
                  "target": "nearby_page",
                  "base_params": {
                    "poi_name": fbData.name,
                    "pt_x": parseInt(fbData.point.x),
                    "pt_y": parseInt(fbData.point.y)
                  }
                }
              };
              BMapCom.Kernel.notify('request', requestParam, function(result) {});
              //stat
              BMapCom.Stat.sendOffline("dfloat_nativetel", {
                    "cat": "hotel",
                    "cityid": fbData.city_id,
                    "uid": fbData.uid,
                    "da_model": "plugin_hotel"
              });
            });
            evt.on('goToHere:tap', function(e){
                //debugger;
                //stat
                BMapCom.Stat.sendOffline("dfloat_near", 
                    {
                        "cat": "hotel",
                        "cat": fbData.city_id,
                        "uid": fbData.uid,
                        "da_model": "plugin_hotel"
                    }
                );
              BMapCom.SysApi.getRuntimeInfo([BMapCom.SysApi.RUNTIME_INFO_TYPE.LOCATION, BMapCom.SysApi.RUNTIME_INFO_TYPE.CITY_ID], function(runtimeInfo) {
                var requestParam = {
                  "category": "mainmap",
                  "method": BMapCom.ComRequestMethod.DISPATCH,
                  "param": {
                    "target": "route_search_page",
                    "base_params": {
                      "start_type": 1,
                      "start_keyword": "我的位置",
                      "start_longitude": runtimeInfo[BMapCom.SysApi.RUNTIME_INFO_TYPE.LOCATION].locX,
                      "start_latitude": runtimeInfo[BMapCom.SysApi.RUNTIME_INFO_TYPE.LOCATION].locY,
                      "start_city_id": runtimeInfo[BMapCom.SysApi.RUNTIME_INFO_TYPE.CITY_ID],
                      "end_type": 1,
                      "end_keyword": fbData.name,
                      "end_longitude": parseInt(fbData.point.x),
                      "end_latitude": parseInt(fbData.point.y),
                      "end_uid": fbData.uid,
                      "end_city_id": fbData.city_id
                    }
                  }
                };
                BMapCom.Kernel.notify('request', requestParam, function(result) {});
              });
            });
            evt.on('callPhone:tap', function(e) {
              var phoneNum = this.getAttribute('data-value');
              BMapCom.SysApi.tel(phoneNum);
            });
            return dispatcher;
        }
    });
    return plg;
});

