BMapCom.Template.create("./plugin/subNearbySearchView/subNearbySearchViewTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,moreSources=$data.moreSources,i=$data.i,n=$data.n,$escape=$helpers.$escape,$out='';$out+='<div class="nearby-search-and-more-source-content">\n        ';
if (moreSources.length) {
$out+='\n        <div class="nearby-search-content">\n        ';
} else {
$out+='\n        <div class="nearby-search-content-no-bottom"> \n        ';
}
$out+='\n            <p class="nearby-search-title">在周边找</p>\n            <div class="nearby-search-items">\n                <div class="nearby-search-item nearby-search-delicacy-icon" data-ek="delicacy">\n                    美食\n                    <div class="nearby-search-divider"></div>\n                </div>\n                <div class="nearby-search-item nearby-search-snack-icon" data-ek="snack">\n                    小吃\n                    <div class="nearby-search-divider"></div>\n                </div>\n                <div class="nearby-search-item nearby-search-hotel-icon" data-ek="hotel">\n                    酒店\n                    <div class="nearby-search-divider"></div>\n                </div>\n                <div class="nearby-search-item nearby-search-bus-icon" data-ek="bus">\n                    公交站\n                    <div class="nearby-search-divider"></div>\n                </div>\n                <div class="nearby-search-item nearby-search-more-icon" data-ek="more">\n                    更多\n                </div>\n            </div>\n        </div>\n        ';
if (moreSources.length) {
$out+='\n        <div class="more-source-content">\n            <p class="more-source-title">查看更多来源</p>\n            <div class="more-source-items">\n                ';
for (i = 0, n = moreSources.length; i < n; i++ ){ 
$out+='\n                    <div class="more-source-item" style="background-image:url(http://map.baidu.com/fwmap/upload/place/icon/';
$out+=$escape(moreSources[i].name);
$out+='/50.png)" data-ek="moreSource" data-value="';
$out+=$escape(moreSources[i].url);
$out+='"></div>\n                ';
}
$out+='\n            </div>\n        </div>\n        ';
}
$out+='\n    </div>';
return new String($out);
}});
BMapCom.Plugin.define(function(PluginBuilder) {

    var $ = function(sel){
        return document.querySelector(sel);
    };
    var plg = PluginBuilder.create({
        hasTemplate: true,
        hasCSS: false 
    });

    var plgPromise = new BMapCom.Promise(function(resolve,reject){
      plg.init = function(fbData,detailData){
          BMapCom.Plugin.use('NearbySearchView').then(function(NearbySearchView) {
            var nearbySearchView = NearbySearchView.instantiate(detailData.content, $('#detailNearbySearch'));
            if($(".nearby-search-content"))
                $(".nearby-search-content").style.display = "none";
            var nearbySearch = function(keyword) {
              var requestParam = {
                "category": "mainmap",
                "method": BMapCom.ComRequestMethod.DISPATCH,
                "param": {
                  "target": "nearby_page",
                  "base_params": {
                    "poi_name": fbData.poiName,
                    "pt_x": parseInt(fbData.pointX),
                    "pt_y": parseInt(fbData.pointY),
                    "search_key": keyword
                  }
                }
              };
              BMapCom.Kernel.notify('request', requestParam, function(result) {});
            };

            nearbySearchView.on('delicacyClick', function() {
              nearbySearch('美食');
            });
            nearbySearchView.on('snackClick', function() {
              nearbySearch('小吃');
            });
            nearbySearchView.on('hotelClick', function() {
              nearbySearch('酒店');
            });
            nearbySearchView.on('busClick', function() {
              nearbySearch('公交');
            });
            nearbySearchView.on('moreClick', function() {
              nearbySearch('更多');
            });
            nearbySearchView.on('moreSourceClick', function(url) {
              var entranceParam = {
                "page": "defaultWebViewPage",
                "pageParam": {
                  "url": url
                }
              }
              BMapCom.Kernel.notify('changePage', entranceParam);
            });
          });
      }
      resolve(plg);
    });
    return plgPromise;
    
});
