BMapCom.Template.create("./plugin/subSaleView/subSaleViewTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,hasGroup=$data.hasGroup,$escape=$helpers.$escape,width=$data.width,grouponUrl=$data.grouponUrl,groupTitle=$data.groupTitle,groupon_num=$data.groupon_num,hasFav=$data.hasFav,favorableTitle=$data.favorableTitle,favorable_num=$data.favorable_num,$out='';$out+='<div class="sale-container">\n        ';
 if(hasGroup) {
$out+='\n            <div class="sale-item" style="width:';
$out+=$escape(width);
$out+=';" data-ek="groupon" data-value="';
$out+=$escape(grouponUrl);
$out+='">\n                <div class="groupon-icon sale-text">';
$out+=$escape(groupTitle);
$out+='</div>\n                <div class="sale-num">';
$out+=$escape(groupon_num);
$out+='</div>\n                <div class="sale-right-arrow b-right-arrow"></div>\n            </div>\n        ';
}
$out+='\n        ';
 if(hasGroup && hasFav){
$out+='\n            <div class="sale-v-line"></div>\n        ';
}
$out+='\n        ';
 if(hasFav) {
$out+='\n            <div class="sale-item" style="width:';
$out+=$escape(width);
$out+=';">\n                <div class="favorable-icon sale-text">';
$out+=$escape(favorableTitle);
$out+='</div>\n                <div class="sale-num">';
$out+=$escape(favorable_num);
$out+='</div>\n            </div>\n        ';
}
$out+='\n    </div>';
return new String($out);
}});
BMapCom.Plugin.define(function(PluginBuilder) {

    var $ = function(sel){
        return document.querySelector(sel);
    };
    var plg = PluginBuilder.create({
        hasTemplate: true,
        hasCSS: false 
    });

    var plgPromise = new BMapCom.Promise(function(resolve,reject){
        BMapCom.Plugin.use('SaleView').then(function(GrouponView) {
            //var grouponView = GrouponView.instantiate(detailData.content,$('#saleViewContainer'));
            plg.init = function(detailData,entranceParam){
                //super init
                var grouponView = GrouponView.instantiate(detailData.content,$('#saleViewContainer'));
                grouponView.on('grouponClick', function(url) {
                    var entranceParam = {
                        "page": "defaultWebViewPage",
                        "pageParam": {
                            "url": url
                        }
                    };
                    BMapCom.Kernel.notify('changePage', entranceParam);
                    //stat
                     BMapCom.Stat.sendOnline({
                        "da_src": "poiDetailPG.groupbanner",
                        "da_trd": "hotel",
                        "da_model" : "plugin_hotel",
                        "da_act": "click"
                    });
                });
            }
            resolve(plg);
        });
    });
    return plgPromise;
});
