BMapCom.Controller.create(function() {
  //the code followed by [warning] tag *should* be checked later;
  //the code followed by [bug] is really a BUG...

    //localStorage.clear();
    var tabWidth = hotelConfig.TAB_WIDTH;
    var tabControlView = new BMapCom.TabsView({
        tabClassName         : 'dp-tabs-tab',
        tabSelectedClassName : 'dp-tabs-selected-tab',
        contentClassName     : 'dp-tabs-content',
        containerClassName   : 'dp-tabs-container'
    });
    //Inner Const
    var LOCAL_STORAGE_KEY_PREFIX = "lsk-hotel-detail-";

    //shared detailPage && Template Ref
    var sharedPageObj,
        sharedTplObj,
        sharedHotelViewInstance,
        bookNumber,//this is ****ing awesome
        paramBack = {};
        preDefinedPara = {};

    //Dom Manipultor
    var Dom = {
        $ : function(selector) {
            return document.querySelector(selector);
        },
        $$ : function(selector){
            return document.querySelectorAll(selector);
        }
    };

    var addStatEvent = function(config){
        var evtTab = new BMapCom.EventDelegater(Dom.$(".dp-tabs-container"));
            if(Dom.$(".dp-tabs-container")){
                evtTab.on("commentStat:tap", function(e){
                    BMapCom.Stat.sendOnline({
                        "da_src":"poiDetailPG.commenttabBt",
                        "da_trd": "hotel",
                        "da_model" : "plugin_hotel",
                        "da_act": "click"
                    });
                });
                evtTab.on("richInfoStat:tap", function(e){
                    BMapCom.Stat.sendOnline({
                        "da_src":"poiDetailPG.detailtabBt",
                        "da_trd": "hotel",
                        "da_model" : "plugin_hotel",
                        "da_act": "click"
                    });
                });
                evtTab.on("bookInfo:tap", function(e){
                    //[warning]
                    //stat.sendOnline('da_src=poiDetailPG.otherpriceBt&da_trd=hotel');
                    //Stat
                    BMapCom.Stat.sendOnline({
                        "da_src": "poiDetailPG.booktabBt",
                        "da_trd": "hotel",
                        "da_model" : "plugin_hotel",
                        "da_act": "click"
                    });
                });
            }
            evtTab.on("book:tap", function(){
                BMapCom.Stat.sendOnline({
                    "da_src": "poiDetailPG.bookingBt",
                    "da_par": "qunar",
                    "da_trd": "hotel",
                    "da_model" : "plugin_hotel",
                    "loc" : "(" + config.x + "," + config.y + ")",
                    "da_act": "click"
                });
                if(paramBack.from == "detailPage"){
                    BMapCom.Stat.sendOnline({
                        "da_src": "poiDetailPG.fromRecbookClkBt",
                        "da_trd": "hotel",
                        "da_model" : "plugin_hotel",
                        "loc" : "(" + config.x + "," + config.y + ")",
                        "da_act": "click"
                    });    
                }
        });
    };

    //For Drawing things on the screen
    var Renderer = {
        considerBookNumber : function(){//awesome ugly function
            var ele = Dom.$(".hbv-ota-bookMobilePhone");
            if(bookNumber && ele){
                ele.querySelector(".phone-content").innerHTML = bookNumber;
                ele.setAttribute("data-phone",bookNumber);
                ele.style.display = "block";
            }
        },
        renderPage:function(detailData){
            if(!detailData.content.ext){
                return;
            }
            var fixedDetailData = hotelUtil.formatData(detailData),
                fbData          = hotelUtil.fixBindData(detailData);

            hotelUtil.initWidget(fbData,paramBack);
            //Divert Logic into the subview for simplification
            BMapCom.Plugin.use("!./plugin/headerView/headerView").then(function(headerView){
                  headerView.instantiate(Dom.$('#hotelHeader'),fixedDetailData);
            });
            if(paramBack && paramBack.streetScape == "1"){
              BMapCom.Plugin.use("!./plugin/subStreetscapeView/subStreetscapeView").then(function(StreetscapeView) {
                    StreetscapeView.init(fbData);
              });
            }
            BMapCom.Plugin.use("!./plugin/subShareView/subShareView").then(function(ShareView) {
                ShareView.init(fbData,detailData);
            });
            BMapCom.Plugin.use("!./plugin/subSaleView/subSaleView").then(function(GrouponView) {
                GrouponView.init(detailData);
            });
            BMapCom.Plugin.use("!./plugin/subNearbySearchView/subNearbySearchView").then(function(NearbySearchView) {
                NearbySearchView.init(fbData,detailData);
            });

            var discount_info = hotelUtil.valueForKeyPath(detailData,"content.ext.detail_info.premium2");
            if(discount_info){
               BMapCom.Plugin.use("!./plugin/discountView/discountView").then(function(discountView){
                 discountView.instantiate(Dom.$("#discountViewContainer"), {data: discount_info, uid: paramBack.uid});
               });
            }

            var review_info = hotelUtil.fixCommentData(detailData);
            /*
            tabControlView.addTab({
                'text': '<p data-ek="commentStat">评论<span class="commentNum">(' + review_info.total + ')</span></p>',
                'content': '<div id="detailComment">暂时没有评论数据</div>',
                'tabWidth': tabWidth
            });
            */
            Dom.$(".commentNum").innerHTML = "(" + review_info.total + ")";

            if (review_info.comments && review_info.comments.length > 0) {
                BMapCom.Plugin.use("CommentView").then(function(CommentView) {
                    var commentView = CommentView.instantiate(review_info, Dom.$('#detailComment'));
                    commentView.event.on('seeMoreClick', function() {
                        var entranceParam = {
                            "page": "commentPage",
                            "pageParam": {
                                //必传参数
                                "uid"     : fbData.uid,
                                "poiName" : fbData.poiName
                            }
                        }
                        BMapCom.Stat.sendOffline("more_comments_from_detail", {"da_model": "plugin_hotel"});
                        BMapCom.Kernel.notify('changePage', entranceParam);
                    });
                });
            }
            var hotel_rich_html = sharedTplObj.hotel_richInfo(fixedDetailData);
            /*
            tabControlView.addTab({
                "text"     : "<p data-ek='richInfoStat'>详情</p>",
                "content"  : hotel_rich_html,
                "tabWidth" : tabWidth
            });
            */
            Dom.$("#richInfoContainer").innerHTML = hotel_rich_html;
            //ugly fix
            //why putting the ota info out of the hotel_wise_data interface
            bookNumber = fixedDetailData.bookNumber;
            //添加统计信息
            addStatEvent({"x": fixedDetailData.point.x, "y": fixedDetailData.point.y});
        },
        preRenderTabs:  function(){
            var pretabControlView = new BMapCom.TabsView({
                tabClassName         : 'dp-tabs-tab',
                tabSelectedClassName : 'dp-tabs-selected-tab',
                contentClassName     : 'dp-tabs-content',
                containerClassName   : 'dp-tabs-container'
            });
            BMapCom.Plugin.use( "!./plugin/hotelBookView/hotelBookView").then(function(HotelBookView){
                var bookTempDiv = document.createElement("div"),
                    today      = new Date();
                var hotelView   = HotelBookView.instantiate(bookTempDiv,
                                                            hotelUtil.formatDate( today ),
                                                            hotelUtil.formatDate( today,1)
                                                           );
               pretabControlView.addTab({
                   "text"     : "<p data-ek='bookInfo'>房间预订</p>",
                   "content"  : bookTempDiv.innerHTML,
                   "tabWidth" : tabWidth
               });
               pretabControlView.addTab({
                   'text': '<p data-ek="commentStat">评论</p>',
                   'content': '<div id="detailComment">暂时没有评论数据</div>',
                   'tabWidth': tabWidth
               });
               pretabControlView.addTab({
                   "text"     : "<p data-ek='richInfoStat'>详情</p>",
                   "content"  : "",
                   "tabWidth" : tabWidth
               });
               pretabControlView.setIndex(0);
               Dom.$("#bookContainer").appendChild(pretabControlView.container);
            });
        },
        preRenderOthers : function(){
            if(paramBack && paramBack.streetScape == "1"){
              BMapCom.Plugin.use("!./plugin/subStreetscapeView/subStreetscapeView").then(function(StreetscapeView) {
                    StreetscapeView.init();
              });
            }
            BMapCom.Plugin.use("!./plugin/subShareView/subShareView").then(function(ShareView) {
                ShareView.init();
            });
            BMapCom.Plugin.use('NearbySearchView').then(function(NearbySearchView) {
                var nearbySearchView = NearbySearchView.instantiate({}, Dom.$('#detailNearbySearch'));
            }); 
        },
        preRenderPage : function(data){
            //pre Render Header
            BMapCom.Plugin.use("!./plugin/headerView/headerView").then(function(headerView){
                headerView.instantiate(Dom.$('#hotelHeader'),data, true);
            });
            Renderer.preRenderTabs();
            Renderer.preRenderOthers();
        }
    };


    //request data ,data binding logic
    var DataManipulotor = {
        st: "",
        et: "",
        gotMore: false,
        constructNinfDataURL:function(opt){
            var NINF_REQUEST_URL = hotelConfig.NINF_REQUEST_URL;
            var param = [
              'qt='    + (opt.qt    || "ninf"),
              'from='  + (opt.from  || "webview"),
              'resid=' + (opt.resid || "01"),
              'uid='   + (opt.uid   || "")
            ];
            return NINF_REQUEST_URL + param.join("&");
        },
        constructHotelWiseDataUrl:function(opt){
            var HOTEL_WISE_REQUEST_URL = hotelConfig.HOTEL_WISE_REQUEST_URL;
            opt.pindex = opt.pindex ? opt.pindex : 0;
            opt.size = opt.size ? opt.size : '';
            DataManipulotor.st = opt.startTime ? opt.startTime : DataManipulotor.st;
            DataManipulotor.et = opt.endTime ? opt.endTime : DataManipulotor.et;
            var params = [
                'qt='           + (opt.qt || "hotel_wise_ota"),
                //'bduss='        + (opt.bduss || 'bduss'),
                'st='           + DataManipulotor.st,
                'et='           + DataManipulotor.et,
                'from=webview',
                'pindex='       + opt.pindex,
                'size='         + opt.size || '',
                'imei='         + encodeURIComponent(opt.cuid || opt.im || opt.xda_did || ''),
                'uid='          + opt.uid,
                't='            + (new Date()).getTime()
                ];
            return HOTEL_WISE_REQUEST_URL + params.join("&");
            //example
            //return "http://client.map.baidu.com/detail?qt=hotel_wise_ota&bduss=bduss&st=2014-02-23&et=2014-02-24&from=webview&imei=&uid=08fc93dfa25e9d889b68b41f&pindex=0&size=3&from=webview"; 
        },
        constructRecommendDataUrl: function(opt){
         //example
         //http://map.baidu.com/detail?qt=hotel_nbrwise&uid=35debf29f3b6285da6da3904&callback=showRecommand&t=1393987379606
         //[warning]
         // put these const into config file
            var HOTEL_RECOMMEND_DATA_URL = "http://map.baidu.com/detail?qt=hotel_nbrwise&callback=showRecommand&";
            var params = [
                'uid=' + opt.uid,
                't='   + hotelUtil.stringToDate(opt.startTime).getTime()
            ];
            return HOTEL_RECOMMEND_DATA_URL + params.join('&');
        },
        loadNinfData:function(uid){
               var ninf_url = DataManipulotor.constructNinfDataURL({ uid:uid }),
                   localStorageKey = LOCAL_STORAGE_KEY_PREFIX + uid;
               return BMapCom.Loader.jsonp(ninf_url)
                             .ok(function(result) {
                                  if (result.data.phpui.errNo == 0) {
                                      BMapCom.storage.setLocalStorage(localStorageKey, result.data, 5);
                                      pageDetailDataSource.onSourceLoadFinish(result.data);
                                  } else {
                                      //console.log('errNo fail');
                                      pageDetailDataSource.onSourceLoadFailed();
                                  }
                             })
                             .error(function() {
                                  self.onSourceLoadFailed();
                             });
        }
    };
    var pageDetailDataSource = new BMapCom.DataSource();
        pageDetailDataSource
            .delegate({
                startSourceLoad: function (uid) {
                var localStorageKey = LOCAL_STORAGE_KEY_PREFIX + uid,
                    cacheData = BMapCom.storage.getLocalStorage(localStorageKey),
                    self = this,
                    ninfDataPromise = new BMapCom.Promise(function(resolve,reject){resolve()}),
                    hotelWiseDataPromise,
                    hotel_wise_url;


                //Q&A
                //- Q: Why breaking the two tight dependence module into 2 parts?
                //- A: For maintabinability
            BMapCom.SysApi.getCuid(function(cuid){ //comment
                //Load DateView Plugin
                //var cuid = "123";
                BMapCom.Plugin.use("!./plugin/DateView/DateView").then(function(DateView){
                  var dateViewInstance = DateView.instantiate({},Dom.$("#dateViewContainer"));

                  dateViewInstance.setDate(new Date());
                  return dateViewInstance;
                }).then(function(dateViewInstance){
                  //And then load HotelBookView Plugin
                  //[]
                  //There is a chance that hotelBookView's then function take place after the data coming 
                  //back and rendering the template which is null!
                  BMapCom.Plugin.use( "!./plugin/hotelBookView/hotelBookView").then(function(HotelBookView){
                        var bookTempDiv = document.createElement("div"),
                          today      = new Date();
                        var hotelView   = HotelBookView.instantiate(bookTempDiv,
                                        hotelUtil.formatDate( today ),
                                        hotelUtil.formatDate( today,1)
                                    );
                        Dom.$("#bookContainer").innerHTML = ""; //清除preRender时渲染出的tab内容
                        Dom.$("#bookContainer").appendChild(tabControlView.container);
                        tabControlView.addTab({
                          "text"     : "<p data-ek='bookInfo'>房间预订</p>",
                          "content"  : bookTempDiv.innerHTML,
                          "tabWidth" : tabWidth
                        });
                        tabControlView.addTab({
                            'text': '<p data-ek="commentStat">评论<span class="commentNum"></span></p>',
                            'content': '<div id="detailComment">暂时没有评论数据</div>',
                            'tabWidth': tabWidth
                        });
                        tabControlView.addTab({
                            "text"     : "<p data-ek='richInfoStat'>详情</p>",
                            "content"  : "<div id='richInfoContainer'></div>",
                            "tabWidth" : tabWidth
                        });
                        tabControlView.setIndex(0);
                    hotel_wise_url = DataManipulotor.constructHotelWiseDataUrl({ 
                        uid:uid,
                        startTime:hotelUtil.formatDate( today ),
                        endTime:hotelUtil.formatDate( today,1),
                        cuid:cuid,
                        pindex: 0,
                        size: 3
                    });

                    //[warning]
                    //Need Optimization
                    //  since the tab issue
                    //  A long context chain searching
                    if(cacheData) {
                        self.onSourceLoadFinish(cacheData);
                    }
                    else{
                        ninfDataPromise = DataManipulotor.loadNinfData(uid);
                    }
       
                    //[warning]Need Refactor
                    //Load hotel data while the view are loaded
                    //But the better way is to async these two tasks
                    hotelWiseDataPromise = BMapCom.Loader.jsonp(hotel_wise_url)
                      .ok(function(result){
                            function showOtaInfo(data,startTime,endTime,more){
                                hotelView.displayOtaInfo({
                                    container : bookOtaContainer,
                                    result    : data,
                                    startTime : startTime || hotelUtil.formatDate(today),
                                    endTime   : endTime   || hotelUtil.formatDate(today,1),
                                    more      : more
                                });
                            }
                            //[warning]
                            //TODO
                            //do something else while the result is null
                            var bookOtaContainer = Dom.$(".bookOtaContainer");

                            dateViewInstance.dispatcher.on("dayChange",function(startTime,endTime){
                                    DataManipulotor.gotMore = false;
                                    var hotel_wise_url_change =
                                              DataManipulotor.constructHotelWiseDataUrl({
                                                startTime : startTime,
                                                endTime   : endTime,
                                                uid       : uid,
                                                pindex    : 0,
                                                size      : 3
                                              });
                                    Dom.$("[data-ek=beginDate] .point").innerHTML = startTime;
                                    Dom.$("[data-ek=endDate] .point").innerHTML = endTime;
                                    hotelView.displayWaitingInfo();
                                    BMapCom.Loader.jsonp(hotel_wise_url_change)
                                        .ok(function(result){
                                                if(result.data && result.data.errorNo!=0){
                                                  //TODO
                                                  //error handler
                                                  hotelView.displayFailInfo();
                                                  //hotelView.bindEvent( dateViewInstance);
                                                }
                                                else{
                                                  showOtaInfo(result.data.data,startTime,endTime);
                                                }
                                        });
                            });
                            //Event Binding
                            if(result.data && result.data.errorNo!=0){
                              hotelView.displayFailInfo();
                            }
                            else{
                                DataManipulotor.roomNum = result.data.data.total;
                                showOtaInfo(result.data.data);
                            }
                            BMapCom.Kernel.notify("webPageReady");
                            hotelView.bindEvent( bookOtaContainer, dateViewInstance);
                            hotelView.event.on("refresh",function(){
                              hotelView.displayWaitingInfo();
                              BMapCom.Loader.jsonp(hotel_wise_url).ok(function(result){
                                  showOtaInfo(result.data.data);
                              });
                            });
                            //  tap more room button
                            hotelView.event.on("getMoreRoom", function(){
                                if(!DataManipulotor.gotMore){
                                    Dom.$(".hbv-ota-wait-note").style.display = "block";
                                    var hotel_wise_url_more = 
                                        DataManipulotor.constructHotelWiseDataUrl({
                                            uid: uid,
                                            pindex: 3,
                                            size: 5
                                        });
                                    //setTimeout(function(){ // 测试数据来之前用户就关闭更多房源
                                    BMapCom.Loader.jsonp(hotel_wise_url_more)
                                        .ok(function(result){
                                            if(result.data && result.data.errorNo!=0){
                                                hotelView.displayFailInfo();
                                            }
                                            else{
                                                if(Dom.$(".hbv-ota-item-toggle .hbv-up")){
                                                    showOtaInfo(result.data.data, DataManipulotor.st, DataManipulotor.et, true);
                                                    Dom.$(".hbv-ota-wait-note").style.display = "none";
                                                    DataManipulotor.gotMore = true;
                                                }
                                            }
                                        })
                                        .error(function(e){

                                        });
                                    //}, 5000);
                                }
                            });
                            if(result.data.data.all_full == 1){
                                var requestUrl = DataManipulotor.constructRecommendDataUrl(
                                        {'uid': uid, 'startTime': result.data.data.startTime}
                                );
                                BMapCom.Loader.jsonp(requestUrl)
                                    .ok(function(rcmResult){
                                        BMapCom.Plugin.use("!./plugin/nearbyHotelView/nearbyHotelView")
                                            .then(function(nearByHotelView) {
                                                nearByHotelView.instantiate(Dom.$(".bookRecommendContainer"), rcmResult.data);
                                            });
                                    }).error(function(e){
                                       //console.log("can not fetch recommedation info");
                                    });

                                BMapCom.Stat.sendOnline({
                                    "da_src": "poiDetailPG.haveNearRecomBt",
                                    "da_model": "plugin_hotel",
                                    "da_trd": "hotel",
                                    "da_act": "show"
                                });
                            }
                            else{
                                BMapCom.Stat.sendOnline({
                                    "da_src": "poiDetailPG.showbooking",
                                    "da_trd": "hotel",
                                    "da_model" : "plugin_hotel",
                                    "da_act": "click"
                                });
                            }
                      })
                      .error(function(e){
                          //handle load hotel wise data error
                      });

                      //Since the hotel data comes from the ninf
                      ninfDataPromise = ninfDataPromise.promise ? ninfDataPromise.promise : ninfDataPromise;
                      BMapCom.Promise.all([ninfDataPromise,hotelWiseDataPromise.promise]).then(function(resolve){
                          Renderer.considerBookNumber();
                      });
                    });
                  });//end of then
                }); //comment
            },
            onSourceLoadFinish: function (data) {
                Renderer.renderPage(data);
                BMapCom.Kernel.notify("webPageReady");
            }
        });

    return {
      initWithPage: function (detailPage,detailTpl) {
        //hold the reference of the detailPage and detailTpl Obj for further
        //use
        sharedPageObj = detailPage;
        sharedTplObj  = detailTpl;
        detailPage
            .delegate({
                shouldWaiting: function() {
                    return true;
                },
                onCreate: function(pageParam, ready) {
                    //render page body container
                    //alert(JSON.stringify(pageParam));
                    var fromWhere = pageParam.from;
                    paramBack = pageParam;
                    /*统计信息*/
                    if(fromWhere == "frommap"){
                        BMapCom.Stat.sendOffline("detail_from_map", {"da_model": "plugin_hotel"});
                    }
                    if(fromWhere == "fromList"){
                        BMapCom.Stat.sendOnline({
                            "da_src" : "poilistPG.Detailbt",
                            "da_trd" : "hotel",
                            "da_model" : "plugin_hotel",
                            "da_act": "click"
                        });
                    }
                    if(paramBack.from == "detailPage"){
                        BMapCom.Stat.sendOnline({
                            "da_src" : "poiDetailPG.nearRecomBt",
                            "da_trd" : "hotel",
                            "da_model" : "plugin_hotel",
                            "da_act": "click"
                        });
                    }
                    BMapCom.Stat.sendOnline({
                        "da_src" : "poiDetailPG",
                        "da_trd" : "hotel",
                        "da_model" : "plugin_hotel",
                        "da_act": "show"
                    });
                    sharedPageObj.append(sharedTplObj.body());
                    if(paramBack.option){
                        preDefinedPara = {
                            "name"           : paramBack.option["name"] || "",
                            "addr"           : paramBack.option["address"] || "",
                            "overall_rating" : paramBack.option["overall_rating"] ||"",
                            "gotoIcon"       : hotelConfig.sdkStyle.GO_TO_ICON,
                            "nearbyIcon"     : hotelConfig.sdkStyle.NEARBY_ICON,
                            "telIcon"        : hotelConfig.sdkStyle.TEL_ICON
                       };
                       Renderer.preRenderPage(preDefinedPara);
                       BMapCom.Kernel.notify("webPageReady");
                    }
                    pageDetailDataSource.update(pageParam.uid);
                },
                onDestory: function() {
                },
                onWillEnterForegrounde: function () {
                }
            });
      }
    };
});
