BMapCom.Controller.create(function(){
	var shareDiscountPage, shareDiscountTpl, shareParam;
    var currentDisId = 0; // there may be more than 1 discount;

	var $ = function(sel){
		return document.querySelector(sel);
	};
    var $$ = function(sel){
        return document.querySelectorAll(sel);
    };

    // open or close the phone number input box
    var togglePhoneBox = function(swt){
        if(swt){
            $("#box_content").style.display = "block";
            $("#mask").style.display = "block";
            $("#send_box").style.display = "block";   
        }
        else{
            $("#box_content").style.display = "none";  
            $("#mask").style.display = "none";
        }
    };

    // show the message after user press the sending button
    var showMessage = function(msg){
        var ms = {
            'noNetWork' : '请检查网络，稍后重试',
            'sendIng' : '正在发送...',
            'success' : '发送成功',
            'fail' : '发送失败'
        };
        $("#send_box").style.display = "none";   
        $("#send_message").style.display = "block";   
        $("#send_message").innerHTML = ms[msg];

        // the sendIng message should last until a response comes back. 
        // other messages disappear in 2 sec.
        if(msg != "sendIng"){
            setTimeout(function(){
                $("#send_message").style.display = "none";   
                togglePhoneBox(false);
            }, 2000);
        }
    };

	var render = function(data){
		var text = shareDiscountTpl.information(data);
		$("#discountContainer").innerHTML = text;
        // set localStorage when first enter discount page
        if(localStorage.getItem("hasVisitDiscount")){
            $("#wrapper_black").style.display = "none";
            $(".discountInfo").style.display = "block";
        }
        else{
            localStorage.setItem("hasVisitDiscount", true);   
        }
	};

    var eventBinder = function(){
        if(localStorage.getItem("hasVisitDiscount")){
      	 	var evt = new BMapCom.EventDelegater($("#discountContainer"));
            function swipeLeftHandler(e){
                if($("#wrapper_black").style.display == "block"){
                    $(".discountInfo").style.display = "block";
                    $("#wrapper_black").style.display = "none";
                }
                else{
                    if(currentDisId < shareParam.data.length-1){
                        var allDiscount = $$(".discountDetail");
                        allDiscount[currentDisId].style.display = "none";
                        allDiscount[++currentDisId].style.display = "block";
                    }
                    $("#discountNum").innerHTML = currentDisId+1;
                }
            }
            function swipeRightHandler(e){
                if($("#wrapper_black").style.display == "block"){
                    $(".discountInfo").style.display = "block";
                    $("#wrapper_black").style.display = "none";
                }
                else{
                    if(currentDisId > 0){
                        var allDiscount = $$(".discountDetail");
                        allDiscount[currentDisId].style.display = "none";
                        allDiscount[--currentDisId].style.display = "block";
                        $("#discountNum").innerHTML = currentDisId+1;
                    }
                }
            }
         	evt.on("slide_into:swipeLeft", swipeLeftHandler);
         	evt.on("slide_into:swipeRight", swipeRightHandler);
            evt.on("sendPhone:tap", function(e){
                togglePhoneBox(true);
                $("#sale_tel_input").focus();
                if(localStorage.getItem("discount_phone")){
                    $("#sale_tel_input").value = localStorage.getItem("discount_phone");   
                }
            });
        }

        var evt_phone = new BMapCom.EventDelegater($("#box_content"));
        evt_phone.on("cancel_input:tap", function(e){
            togglePhoneBox(false);
        });
        evt_phone.on("send_input:tap", function(e){
            var phone = $("#sale_tel_input").value;
            if(isNaN(phone) || phone.length != 11){
                $("#box_tel_message").style.display = "block";
                setTimeout(function(){
                    $("#box_tel_message").style.display = "none";
                }, 2000);
            }
            else{
                /*check network status*/    
                BMapCom.SysApi.getNetworkType(function(networkType){
                    if(networkType == BMapCom.SysApi.NETWORK_NOT_CONNECTED
                        || networkType == BMapCom.SysApi.NETWORK_UNKNOWN){
                        showMessage("noNetWork");   
                    }else{
                        BMapCom.SysApi.getOsName(function(os){
                            BMapCom.SysApi.getCuid(function(cuid){
                                showMessage("sendIng");
                                var discount_url = hotelConfig.HOTEL_WISE_REQUEST_URL;
                                var mobileType, cuid;
                                var params = [
                                    "qt=sms",
                                    "en_name=" + shareParam.data[currentDisId].discount_src.en_name, 
                                    "os=map_" + os + "_app",
                                    "cuid=" + cuid,
                                    "imei=" + cuid,
                                    "promo_id=" + shareParam.data[currentDisId].discount_id,
                                    "src=map",
                                    "terminal=" + os,
                                    "poi_id=" + shareParam.uid, 
                                    "mobile=" + phone,
                                    "t=" + Date.now()
                                ];
                                BMapCom.Loader.jsonp(discount_url + params.join("&"))
                                    .ok(function(result){
                                        showMessage("success");
                                    })
                                    .error(function(){
                                        showMessage("fail");
                                    });
                            });
                        });
                    }
                });
            }
        });
        $("#sale_tel_input").onblur = function(e){
            if(this.value){
                localStorage.setItem("discount_phone", this.value);
            }
        };
    };

	return {
      initWithPage: function (discountPage,discountTpl) {
        shareDiscountPage = discountPage;
        shareDiscountTpl = discountTpl;
       	discountPage 
            .delegate({
                shouldWaiting: function() {
                    return true;
                },
                onCreate: function(pageParam, ready) {
                    //render page body container
                    shareParam = pageParam;
                    shareDiscountPage.append(shareDiscountTpl.body());
                    render(pageParam);
                    eventBinder();
                    BMapCom.Kernel.notify("webPageReady");
                },
                onDestory: function() {
                },
                onWillEnterForegrounde: function () {
                }
            });
        }
    };
});
