BMapCom.AppCore.ready(function(entranceParam) {

    BMapCom.config('templateHtmlMode', false);

    //BMapCom.Plugin.register(['DateView', 'hotelBookView']);

    //入口协议解析
    if (entranceParam && entranceParam.page) {
        switch (entranceParam.page) {
            case 'detailPage':
                var pageParam = entranceParam.pageParam;
                if (pageParam && pageParam.uid && pageParam.streetScape && (pageParam.indoorScape == "" || pageParam.indoorScape) && pageParam.from) {
                    //可传字段:pageParam.option.index
                    BMapCom.AppCore.changePage('detailPage', pageParam);
                } else {
                    alert('详情页入口参数错误');
                }
                break;
            case 'imagePage':
                var pageParam = entranceParam.pageParam;
                if (pageParam && pageParam.uid) {
                    BMapCom.AppCore.changePage('imagePage', pageParam);
                } else {
                    alert('图片页入口参数错误');
                }
                break;
            case 'imageDetailPage':
                var pageParam = entranceParam.pageParam;
                if (pageParam && pageParam.option && pageParam.option.imageList) {
                    //如果传入图片列表数据，则不再发送请求，直接渲染
                    pageParam.renderImmediately = true;
                    BMapCom.AppCore.changePage('imageDetailPage', pageParam);
                } else if (pageParam && pageParam.uid) {
                    //可选参数option.imageFrom，传入baidumap显示百度地图的图片，未传入则显示所有来源图片 
                    pageParam.renderImmediately = false;
                    BMapCom.AppCore.changePage('imageDetailPage', pageParam);
                } else {
                    alert('图片详情页入口参数错误');
                }
                break;
            case 'commentPage':
                var pageParam = entranceParam.pageParam;
                if (pageParam && pageParam.uid && pageParam.poiName) {
                    BMapCom.AppCore.changePage('commentPage', pageParam);
                } else {
                    alert('评论页入口参数错误');
                }
                break;
            case 'commentDetailPage':
                var pageParam = entranceParam.pageParam;
                if (pageParam && pageParam.uid && pageParam.poiName) {
                    BMapCom.AppCore.changePage('commentDetailPage', pageParam);
                } else {
                    alert('评论详情页入口参数错误');
                }
                break;

            default:
                alert('未指定页面');
        }
    }
});
