BMapCom.Template.create("./plugin/heatMap/heatMapTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$escape=$helpers.$escape,rank=$data.rank,$out='';$out+='<div class="heat-map-content" data-ek="heatmap">\n        <div class="heatmap-item" >\n        <div class="base-heat-map-icon heat-map-text" >热力图<span>';
$out+=$escape(rank);
$out+='</span></div>\n            <div class="base-right-arrow"></div>\n        </div>\n    </div>';
return new String($out);
}});
BMapCom.Plugin.define(function(PluginBuilder) {

    var plg = PluginBuilder.create({
        hasTemplate: true,
        hasCSS: true
    });


    plg.delegate({
        onInstantiate: function(detail, context) {
            var self = this,
                data = detail.heat_map;

            data.color = data.rankstr.match(/color="(.*)"/)[1];
            data.rank = data.rankstr.match(/>(.*)</)[1];
            context.innerHTML = this.template.body(data);
            var dispatcher = new BMapCom.EventDispatcher();

            var evt = new BMapCom.EventDelegater(context);
            evt.on('heatmap:tap', function(e) {
                var requestParam = {
                    "page": "heat_map_page",
                    "pageParam": {
                        "uid": detail.uid,
                        "poi_name": detail.name,
                        "heat_map": data
                    }
                };
                BMapCom.Kernel.notify('changePage', requestParam, function(result) {});
                BMapCom.Stat.sendOnline({
                    "da_src": "scopeCompoiDetailPG.heatMapBt",
                    "uid": detail.uid,
                    "da_model": "plugin_scenery"
                });
                dispatcher.fire('heatMapClick', []);
            });

            return dispatcher;
        }
    });

    return plg;
});