BMapCom.Template.create("./plugin/nearbyHotelView/nearbyHotelViewTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,data=$data.data,i=$data.i,$escape=$helpers.$escape,$out='';if(data.length < 0){
$out+='\n  <div class="rec_empty">暂时没有该酒店的预订信息</div>\n';
}else{
$out+='\n	<div class="hotel_reco_area">\n		<div class="hotel_reco_title">该酒店附近优质推荐</div>\n		';
for(var i = 0 ; i < data.length; i++){
$out+='\n			';
if(i != data.length-1){
$out+='\n	        <div class="hotel_reco_item" style="border-bottom:1px solid #d9d9d9;" data-idx=';
$out+=$escape(i);
$out+=' data-ek="jumpTo"><div>\n	       	';
}else{
$out+='\n	        <div class="hotel_reco_item" style="border-bottom:none;" data-idx=';
$out+=$escape(i);
$out+=' data-ek="jumpTo"><div>\n	       	';
}
$out+='\n				<span class="rec_name">';
$out+=$escape(data[i].hotel_name);
$out+='</span>\n				<span class="rec_aoi rec_distance">';
$out+=$escape(data[i].distance);
$out+='m</span>\n			</div>\n			<div>\n				<span class="rec_aoi">';
$out+=$escape(data[i].aoi);
$out+=' &nbsp; ';
$out+=$escape(data[i].category);
$out+='</span>\n				<span class="rec_price">\n					<span>¥ </span>\n					<span>';
$out+=$escape(data[i].price);
$out+='</span>起</span>\n				</div>\n			</div>\n		';
}
$out+='\n	</div>\n';
}
return new String($out);
}});
BMapCom.Plugin.define(function(PluginBuilder) {

    var $ = function(sel) {
        return document.querySelector(sel);
    };
    var plg = PluginBuilder.create({
        hasTemplate: true,
        hasCSS: true
    });

    var entranceParam = {
        "page": "detailPage",
        "pageParam": {
            //必传参数
            "uid": "",
            "from": "detailPage",
            "streetScape": "1",
            "indoorScape": ""
        }
    };
    plg.delegate({
        onInstantiate: function(container, fbData) {
            var evt = new BMapCom.EventDelegater(container);
            var dispatcher = new BMapCom.EventDispatcher();

            container.innerHTML = this.template.body(fbData);
            evt.on("jumpTo:tap", function(e) {
                var parentNode = hotelUtil.getParentElemWith(e.target, {
                    "data-ek": "jumpTo"
                }),
                    idx = parentNode.getAttribute("data-idx");
                entranceParam.pageParam.uid = fbData.data[idx].uid;
                entranceParam.pageParam.option = {
                    "name": fbData.data[idx].hotel_name,
                    "address": fbData.data[idx].aoi,
                    "overall_rating": fbData.data[idx].overall_rating
                };
                BMapCom.Kernel.notify('changePage', entranceParam);
            });
            return dispatcher;
        }
    });
    return plg;
});