BMapCom.Template.create("./plugin/subStreetscapeView/subStreetscapeViewTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$out='';$out+='<div class="streetscape-content" data-ek="streetscape">\n        <div class="streetscape-item" >\n            <div class="base-streetscape-icon streetscape-text">进入全景</div>\n            <div class="base-right-arrow"></div>\n        </div>\n    </div>';
return new String($out);
}});
BMapCom.Plugin.define(function(PluginBuilder) {
    var $ = function(sel){
        return document.querySelector(sel);
    };
    var plg = PluginBuilder.create({
        hasTemplate: true,
        hasCSS: false 
    });

    var plgPromise = new BMapCom.Promise(function(resolve,reject){
        plg.init = function(fbData,detailData){
            BMapCom.Plugin.use("StreetscapeView").then(function(StreetscapeView){
                var streetscapeView = StreetscapeView.instantiate(detailData, $("#streetViewContainer"));
                streetscapeView.on("streetscapeClick", function(){
                    var requestParam = { 
                      "category": "mainmap",
                      "method":  BMapCom.ComRequestMethod.DISPATCH,
                      "param": {
                        "target": "street_scape_page",
                        "base_params":{
                          "uid": fbData.uid,
                          "poi_name": fbData.poiName,
                          "pt_x": parseInt(fbData.pointX),
                          "pt_y": parseInt(fbData.pointY),
                          "indoor_pano": fbData.indoorScape,
                          "from_source": "poi"
                        }
                      }
                    };
                    BMapCom.Kernel.notify("request", requestParam, function(result){});
                    BMapCom.Stat.sendOffline("detail_streetview", {"da_model": "plugin_hotel"});
                });
            });
        };
        resolve(plg);
    });

    return plgPromise;
});

