BMapCom.Template.create("detailTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$out='';$out+='<link rel="stylesheet" type="text/css" href="style/detailPage.css">\n    <div id="hotelHeader"></div>\n    <div id="dateViewContainer"></div>\n    <div id="bookContainer"></div>\n    <div id="streetViewContainer" class="content-bar"></div>\n    <div id="saleViewContainer" class="content-bar"></div>\n    <div id="discountViewContainer" class="content-bar"></div>\n    <div id="detailShareContainer" class="content-bar"></div>\n    <div id="detailNearbySearch" class="content-bar"></div>\n    <div class="footer-space"></div>';
return new String($out);
},
header:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$escape=$helpers.$escape,image=$data.image,image_num=$data.image_num,name=$data.name,realtimePrice=$data.realtimePrice,regularPrice=$data.regularPrice,grouponInfo=$data.grouponInfo,overall_rating=$data.overall_rating,level=$data.level,addr=$data.addr,nearbyIcon=$data.nearbyIcon,gotoIcon=$data.gotoIcon,phone=$data.phone,telIcon=$data.telIcon,$out='';$out+='<div class="dp-header">\n            <div data-ek="clickImage" class="dp-header-img">\n            <img class="dp-header-img-default" src="';
$out+=$escape(image);
$out+='"/>\n            ';
if (image_num){ 
$out+='\n                <div class="dp-header-img-count">';
$out+=$escape(image_num);
$out+='</div>\n            ';
}
$out+='\n            </div>\n            <div class="dp-header-basicinfo">\n                <div class="dp-header-name">';
$out+=$escape(name);
$out+='</div>\n                <!--\n                ';
if (realtimePrice) {
$out+='\n                      <p class="dp-header-price">\n                      <span class="point">￥';
$out+=$escape(realtimePrice);
$out+='</span>\n                          <span>起</span>\n                      </p>\n                ';
}
$out+='\n                ';
if (regularPrice){ 
$out+='\n                    <p class="dp-header-price"><span>参考价:</span><span class="point">￥';
$out+=$escape(regularPrice);
$out+='</span></p>\n                ';
}
$out+='\n                ';
if (grouponInfo){ 
$out+='\n                    <p class="dp-header-price">\n                    <span>团购价:</span><span class="point">￥';
$out+=$escape(grouponInfo.grouponPrice);
$out+='</span>\n                    <span class="del-price">原价:￥';
$out+=$escape(grouponInfo.basePrice);
$out+='</span>\n                    </p>\n                ';
}
$out+='\n                -->\n                <p class="dp-header-rating">\n                  ';
if (overall_rating){ 
$out+='\n                      <span><b class="point">';
$out+=$escape(overall_rating);
$out+='</b>/5.0分</span>\n                  ';
} else {
$out+='\n                      <span>暂无评分</span>\n                  ';
 }
$out+='\n\n                  <!--\n                  ';
if (level){ 
$out+='\n                      <span>';
$out+=$escape(level);
$out+='</span>\n                  ';
}
$out+='\n                  -->\n                </p>\n                ';
if (addr){ 
$out+=' \n                  <p class="dp-header-addr">';
$out+=$escape(addr);
$out+='</p>\n                ';
}
$out+='\n            </div>\n            <div class="dp-header-btns">\n                <div class="dp-header-couple dp-header-btn">\n                    <div data-ek="searchAround" class="dp-header-around">\n                    <span class="icon ';
$out+=$escape(nearbyIcon);
$out+='">搜周边</span>\n                    </div>\n                    <div data-ek="goToHere" class="dp-header-goto">\n                        <div class="dp-header-line"></div>\n                        <span class="icon ';
$out+=$escape(gotoIcon);
$out+='">到这去</span>\n                    </div>\n                </div>\n                <div data-ek="callPhone" data-value="';
$out+=$escape(phone);
$out+='" class="dp-header-single dp-header-btn">\n                    ';
if (phone){ 
$out+='\n                        <div><span class="icon ';
$out+=$escape(telIcon);
$out+='" >电话</span></div>\n                    ';
} else { 
$out+='\n                        <div><span class="icon ';
$out+=$escape(telIcon);
$out+=' dp-btn-disable">电话</span></div>\n                    ';
 }
$out+='\n                </div>\n            </div>\n        </div>';
return new String($out);
},
hotel_richInfo:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,category=$data.category,$escape=$helpers.$escape,level=$data.level,brand=$data.brand,hotel_facility=$data.hotel_facility,i=$data.i,inner_facility=$data.inner_facility,payment_type=$data.payment_type,environment_exterior=$data.environment_exterior,$out='';$out+='<ul class="richDetail">\n        ';
if(category){
$out+='\n            <li>\n                <p>酒店类型</p>\n                <p class="rdContent">';
$out+=$escape(category);
$out+='</p>\n            </li>\n        ';
}
$out+='\n        ';
if(level){
$out+='\n            <li>\n                <p>酒店星级</p>\n                <p class="rdContent">';
$out+=$escape(level);
$out+='</p>\n            </li>\n        ';
}
$out+='\n        ';
if(brand){
$out+='\n            <li>\n                <p>连锁品牌</p>\n                <p class="rdContent">';
$out+=$escape(brand);
$out+='</p>\n            </li>\n        ';
}
$out+='\n        ';
if(hotel_facility.length > 0){
$out+='\n            <li>\n                <p>酒店设施</p>\n                <div class="rdContent">\n                    ';
for(var i = 0; i < hotel_facility.length; i++){
$out+='\n                        <div class="fal" style="background-image: url(./style/img/';
$out+=$escape(hotel_facility[i].flag);
$out+='.png);">';
$out+=$escape(hotel_facility[i].text);
$out+='</div>\n                    ';
}
$out+='\n                </div>\n                <div style="clear: both;"></div>\n            </li>\n        ';
}
$out+='\n        ';
if(inner_facility){
$out+='\n            <li>\n                <p>房间设施</p>\n                <p class="rdContent">';
$out+=$escape(inner_facility);
$out+='</p>\n            </li>\n        ';
}
$out+='\n        ';
if(payment_type){
$out+='\n            <li>\n                <p>支付方式</p>\n                <p class="rdContent">';
$out+=$escape(payment_type);
$out+='</p>\n            </li>\n        ';
}
$out+='\n        ';
if(environment_exterior){
$out+='\n            <li>\n                <p>周边环境</p>\n                <p class="rdContent">';
$out+=$escape(environment_exterior);
$out+='</p>\n            </li>\n        ';
}
$out+=' \n    </ul>';
return new String($out);
}});