BMapCom.Template.create("detailTpl", {
body:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$out='';$out+='<link rel="stylesheet" type="text/css" href="style/detailPage.css">\n    <div id=\'detailContainer\' class="detail-container">\n        <div id="detailPanel" class="panel-container"></div>\n        <div id="detailBasicInfo" class="basic-info-container"></div>\n        <div id="detailOverView" class="area-info-container"></div>\n        <div id="detailBook" class="book-container"></div>\n        <div id="detailInfo" class="scene-overview-container"></div>\n        <div id="detailHeatMap" class="streetscape-container"></div>\n        <div id="detailStreetscape" class="streetscape-container"></div>\n        <div id="detailGroupon" class="groupon-container"></div>\n        <div id="detailComment" class="comment-container"></div>\n        <div id="detailTravelNote" class="travel-note-container"></div>\n        <div id="detailShare" class="share-container"></div>\n        <div id="detailNearbySearch" class="nearby-search-container"></div>\n        <div class="footer-space"></div>\n    </div>';
return new String($out);
},
panel:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$escape=$helpers.$escape,name=$data.name,rating=$data.rating,tel=$data.tel,$out='';$out+='<div class="panel-content clearfix" >\n        <div class="panel-basic-info clearfix" id="panelBasicInfo">\n            <p class="panel-name" id="panelName">';
$out+=$escape(name);
$out+='</p>\n            <div class="panel-brief-info" id="panelBriefInfo">\n                <div class="panel-rating">\n                    <div class=\'panel-rating-star\'>\n                        <span class=\'panel-rating-star-value\' style=\'width:';
$out+=$escape(rating*20);
$out+='%\'></span>\n                    </div>\n                    <span style="color:red">';
$out+=$escape(rating);
$out+='</span>\n                </div>\n            </div>\n        </div>\n        <ul class="panel-btns clearfix">\n        ';
if (tel) {
$out+='\n            <li style="margin:0 1px;">\n                <div class="nearby-and-goto">\n                    <div class="btn">\n                        <div class="nearby-btn" data-ek="nearbyBtn">\n                            <div class="nearby" id="nearby">\n                                <span class="offset">搜周边</span>\n                            </div>\n                        </div>\n                        <div class="goto-btn" data-ek="gotoBtn">\n                            <div class="b-v-line" style="height:16px;float:left;margin-top:7px;"></div>\n                            <div class="goto" id="goto">\n                                <span class="offset">到这去</span>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n                <div class="tel-num-btn" >\n                    <div class="btn" data-ek="telBtn" data-value="';
$out+=$escape(tel);
$out+='" style="margin-left: 15px;">\n                        <div class="tel-num">\n                            <span class="offset" style="width:44px">电话</span>\n                        </div>\n                    </div>\n                </div>\n            </li>\n        ';
} else {
$out+='\n            <li style="margin:0 1px;">\n                <div class="nearby-and-goto-no-tel">\n                    <div class="btn">\n                        <div class="nearby-btn" data-ek="nearbyBtn">\n                            <div class="nearBy" id="nearBy">\n                                <span class="offset">搜周边</span>\n                            </div>\n                        </div>\n                        <div class="goto-btn" data-ek="gotoBtn">\n                            <div class="b-v-line" style="height:16px;float:left;margin-top:7px;"></div>\n                            <div class="goTo" id="goTo">\n                                <span class="offset">到这去</span>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            </li>\n        ';
}
$out+='</ul>\n    </div>';
return new String($out);
},
basicInfo:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$escape=$helpers.$escape,headPic=$data.headPic,picNum=$data.picNum,scene_level=$data.scene_level,scene_title=$data.scene_title,addr=$data.addr,$out='';$out+='<div class="basic-info-content clearfix">\n        <div class="basic-info-pic" data-ek="basicInfoPic">\n            <img style="width:71px;height:54px;" src="';
$out+=$escape(headPic);
$out+='" />\n            <div class="basic-info-pic-num" >';
$out+=$escape(picNum);
$out+='</div>\n        </div>\n        <div class="basic-info-desc clearfix" id="basicInfoDesc">\n            <p class="basic-info-scene-level">';
$out+=$escape(scene_level);
$out+='</p>\n            <p class="basic-info-scene-title">';
$out+=$escape(scene_title);
$out+='</p>\n            <p class="basic-info-desc-addr" id="">';
$out+=$escape(addr);
$out+='</p>\n        </div>\n    </div>';
return new String($out);
},
book:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,tickets=$data.tickets,i=$data.i,n=$data.n,item=$data.item,$escape=$helpers.$escape,$string=$helpers.$string,$out='';if (tickets.length) {
$out+='\n    <div class="book-content clearfix">\n        <p class="book-title">门票在线预订</p>\n        <div class="book-body">\n            ';
for (i = 0, n = tickets.length; i < n; i++ ){ 
$out+='\n            ';
 item = tickets[i] 
$out+='\n            <div class=\'book-ticket-item\'>\n                <div class=\'book-table book-ticket-item-head\'>\n                    <div class=\'book-table-row\'>\n                        <div class=\'book-table-cell name\'>';
$out+=$escape(item.name);
$out+='</div>\n                        <div class=\'book-table-cell right\'>\n                            <div class=\'book-float-wrapper\'>\n                                <span class=\'origin-price\'>￥';
$out+=$escape(item.originPrice);
$out+='</span>\n                                <span class=\'min-price\'>\n                                    <span>￥</span>\n                                    <span class=\'min-price-value\'>';
$out+=$escape(item.minPrice);
$out+='</span>\n                                    <span class=\'min-price-suffix\'>起</span>\n                                </span>\n                                ';
if(tickets.length == 1){
$out+='\n                                <span class=\'book-operate-btn book-operate-btn-down\' data-ek=\'operateBtn\' data-value=\'down-';
$out+=$escape(i);
$out+='\'></span>\n                                ';
}else{
$out+='\n                                <span class=\'book-operate-btn book-operate-btn-up\' data-ek=\'operateBtn\' data-value=\'up-';
$out+=$escape(i);
$out+='\'></span>\n                                ';
}
$out+='\n                            </div>\n                        </div>\n                    </div>\n                </div>\n                ';
if(tickets.length == 1){
$out+='\n                <div class=\'book-ticket-item-agent\' id=\'bookTicketItemAgent';
$out+=$escape(i);
$out+='\'>\n                ';
}else{
$out+='\n                <div class=\'book-ticket-item-agent\' id=\'bookTicketItemAgent';
$out+=$escape(i);
$out+='\' style=\'display:none\'>\n                ';
}
$out+='\n                    <div class=\'book-arrow-border\'>\n                        <span class=\'book-arrow-border-line\'>◆</span>\n                        <span class=\'book-arrow-border-bg\'>◆</span>\n                    </div>\n                    <div class=\'agent-list\'>\n                        ';
$out+=$string(item.agentHTML);
$out+='\n                    </div>\n                </div>\n            </div>\n            ';
 if (i != (n-1)) {
$out+='\n            <div class="book-ticket-item-divider"></div>\n            ';
}
$out+='\n            ';
}
$out+='\n        </div>\n    </div>\n    ';
}
return new String($out);
},
bookAgent:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,$escape=$helpers.$escape,name=$data.name,price=$data.price,url=$data.url,lastFlag=$data.lastFlag,$out='';$out+='<div class="book-agent-content clearfix">\n        <div class=\'book-agent-item\'>\n            <div class=\'book-table\'>\n                <div class=\'book-table-row\'>\n                    <div class=\'book-table-cell name\'>';
$out+=$escape(name);
$out+='</div>\n                    <div class=\'book-table-cell right\'>\n                        <div class=\'book-float-wrapper\'>\n                            ￥<span class=\'price\'>';
$out+=$escape(price);
$out+='</span>\n                            <span class=\'btn\' data-ek="bookBtn" data-value="';
$out+=$escape(url);
$out+='">预订</span>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n        ';
 if(lastFlag) {
$out+='\n        <div class="book-agent-divider"></div>\n        ';
}
$out+='\n    </div>';
return new String($out);
},
areaInfo:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,price=$data.price,openTime=$data.openTime,$escape=$helpers.$escape,openTimeOne=$data.openTimeOne,openTimeTwo=$data.openTimeTwo,$out=''; if(price || openTime) {
$out+='\n    <div class="area-info-content clearfix">\n        <p class="area-info-title">景区信息</p>\n        ';
 if(price) {
$out+='\n        <p class="area-info-price">景区价格:';
$out+=$escape(price);
$out+='</p>\n        ';
}
$out+='\n        ';
 if(openTimeOne) {
$out+='\n        <p class="area-info-openTime">开放时间:\n            ';
$out+=$escape(openTimeOne);
$out+='\n            ';
if(openTimeTwo){
$out+='\n            <span id="opInfoMore" style="display:none;" show="off">';
$out+=$escape(openTimeTwo);
$out+='</span>\n            <span  data-ek="getopInfo" class="areaDescribe-arrow areaDescribe-arrow-down"></span>\n            ';
}
$out+='\n        </p>\n        ';
}
$out+='\n    </div>\n    ';
}
return new String($out);
},
areaDescribe:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,descriptionOne=$data.descriptionOne,descriptionTwo=$data.descriptionTwo,$escape=$helpers.$escape,$out='';if(descriptionOne) {
$out+='\n    <div class="scene-overview-content clearfix">\n        <p class="scene-describe-title">景区简介</p>\n        <div data-ek="SeeMoreOverview" class="scene-describe-content">\n        ';
if(descriptionTwo){
$out+='\n            <span>';
$out+=$escape(descriptionOne);
$out+='</span>\n            <span id="areaDescribeMore" style="display: none;" show="off">';
$out+=$escape(descriptionTwo);
$out+='</span>\n            <span class="overviewDescribe-arrow overviewDescribe-arrow-down"></span>\n        ';
}else{
$out+='\n        ';
$out+=$escape(descriptionOne);
$out+='\n        ';
}
$out+='\n        </div>\n    </div>\n   ';
}
return new String($out);
},
travelNote:function ($data,$id) {
var $helpers=BMapCom.Template.helpers,total_num=$data.total_num,$escape=$helpers.$escape,link=$data.link,photo=$data.photo,title=$data.title,release_time=$data.release_time,total_link=$data.total_link,$out='';$out+='<div class="travel-note-content">\n        <div class="travel-note-title">游记&nbsp;\n            ';
if(total_num){
$out+='\n            <span class="travel-note-num">(共';
$out+=$escape(total_num);
$out+='条)</span>\n            ';
}
$out+='\n        </div>\n        <div class="travel-note-example" data-ek="seeMoreNote" data-value="';
$out+=$escape(link);
$out+='">\n            ';
if(photo){
$out+='\n                <img style="" class="travel-note-example-img" src="';
$out+=$escape(photo);
$out+='" alt="该游记还没上传图片"></img>\n            ';
}else{
$out+='\n                <img style="" class="travel-note-example-img" src="" alt="该游记还没上传图片"></img>\n            ';
}
$out+='\n            <div class="travel-note-example-block" style="position: relative;">\n                <p class="travel-note-example-title">';
$out+=$escape(title);
$out+='</p>\n                <p class="travel-note-example-time">';
$out+=$escape(release_time);
$out+='</p>\n            </div>\n        </div>\n        <div class="travel-note-more" data-ek="seeMoreNote" data-value="';
$out+=$escape(total_link);
$out+='" style="position:relative;">\n            <div class="">查看更多</div>\n            <div class="base-right-arrow"></div>\n        </div>\n    </div>';
return new String($out);
}});